/****************************************************************************
**
** This file is part of a Ovi Daily App.
** 
** Copyright (c) 2010 Ovi Daily App and/or its subsidiary(-ies).
** 
** Contact:  i2tecnologia (felipe.andrade@i2tecnologia.com.br)
**                        (wildson.alves@i2tecnologia.com.br)
**						  (diogo.souza@i2tecnoloia.com.br)
** 
*****************************************************************************/

var myFavorites = new Array(); // favorites saved for offline usage
var favID = null;			   // selected favorite number
/**
	check for updates on app startup
*/
$(document).ready(function(){
	loadFavorites();
});

/**
	Class Favorites definition
	@arguments id
*/
var Favorites = function(title) {
	this.title = title;
}

/**
	quote
	@arguments string
*/
function quote(string) {
    return "'" + string.replace("'", "\'") + "'";
}

/**
	favoritesToJSON
	@description Function to convert a Feed to JSON friendly
	@arguments aFavorite class object
*/
function favoritesToJSON(aFavorite) {
	var result = "{ title: " + quote(aFavorite.title) + "}";
	return result;
}

/**
	arrayToJSON
	@description Function to convert an array to JSON friendly
	@arguments aFavorite class object
*/
function arrayToJSON(array) {
    var json = "[";
    for (var i=0; i< array.length; i++) {
		json += favoritesToJSON(array[i]);
		json += (i == array.length-1) ? "" : ",";
    }
    json += "]";
    return json;
}

/**
	saveFavorites
	@description Saves favorites in phone memory
*/
function saveFavorites() {
	try {
	if(window.widget)
   		widget.setPreferenceForKey(arrayToJSON(myFavorites), 'favorites');
	} catch(e) {}
}

/**
	Load favorites from the storage or create the storage for the first time
	@description Save favorites in phone memory
*/
function loadFavorites() {
	if (window.widget) {
		if (widget.preferenceForKey('favorites') != null) {
			// The storage already has a collection
			myFavorites = eval("(" + window.widget.preferenceForKey('favorites') + ")");
		}
		else {
			// Initialization for the first time
			myFavorites = new Array();
		}
	} else {
		// Initialization for the first time
		myFavorites = new Array();
	}
}

/**
	checkFavorite
	@description check for duplicate favorite
*/
function checkFavorite(title) {
	var flag = false;
	var len = myFavorites.length;
	for(var k=0; k < len; k++) {
		if(myFavorites[k].title == title) {
			flag = true;
			break;
		}
	}
	
	return flag;
}

/**
	checkForDuplicateFavorite
	@description check for duplicate favorite
*/
function checkForDuplicateFavorite(title) {
	var flag = true;
	var len = myFavorites.length;
	for(var k=0; k < len; k++) {
		if(myFavorites[k].title == title) {
			flag = false;
			myFavorites.splice(k, 1);
			next();
			prev();
			break;
		}
	}
	
	return flag;
}

/*
	List Favorite
*/
function listFavorite(){
		$(".load").show()
	var leng = myFavorites.length;
	var responseFav="<ul>";
	if(myFavorites.length==0){
		responseFav += "<li>No favorites added.</li>";
	}else{
		var e=0;
		var tam=(arrayFeeds.length);
		for(var i=0;i<leng;i++){
			for (e=0;e<tam;e++){
				var imgFd2= arrayFeeds[e][8];
			if(myFavorites[i].title==arrayFeeds[e][0]){
			responseFav +="<li><img src='"+imgFd2+"' class='imgCont2'/><h2>"+myFavorites[i].title+"</h2><a href='#' onclick=\"favContCar("+ [e] +");\">conteudo</a><span>"+arrayFeeds[e][2]+", "+ arrayFeeds[e][1]+" "+ arrayFeeds[e][3]+" "+ arrayFeeds[e][4]+"</span></li>";
			}
			}
		}
	}
	responseFav+="</ul>";
	$(".favList").html(responseFav);
	setTimeout("$('.load').hide();", 200);
}

function backFavorites(){
$(".favList").show();
$(".favCont").hide();	
}


function  favContCar(aIndex) {
	$(".load").show();
	$(".favList").hide();
	$(".favCont").show();
	var contentLink= arrayFeeds[aIndex][7];
	var linkFinal = contentLink.indexOf(linkstore);
	var linkFinal2 = contentLink.indexOf(linkstore2);
	var linkEnd2 = contentLink.indexOf(linkEnd,linkFinal2);
	var linkcomplet = contentLink.slice(linkFinal,linkEnd2);
	var imgFd= arrayFeeds[aIndex][8];
	
	var responseCont = "<h2>" + arrayFeeds[aIndex][0]+ "</h2>";
	responseCont += "<p>"+arrayFeeds[aIndex][2]+", "+ arrayFeeds[aIndex][1]+" "+ arrayFeeds[aIndex][3]+" "+ arrayFeeds[aIndex][4]+"<br><br><span class='txtCont'>";
	if(arrayFeeds[aIndex][9]=="yes"){
		if(imgFd!=""){
			responseCont +="<img src='"+imgFd+"'/ class='imgCont'>";
		}	
	responseCont +="<a href='#' class='getlinkFeeds' onclick='openBrowser(\""+linkcomplet+"\")'><img src=\"img/getThisApp.png\" class='addget'/></a>";
	responseCont +="<a href='#' class='getlinkFeeds2' onclick='backFavorites()'><img src=\"img/back-btn-ON2.png\" class='addget2'/></a>";
	}else{
		if(imgFd!=""){
			responseCont +="<img src='"+imgFd+"' class='imgCont'/>";
		}	
	}
	responseCont +="</span>"+arrayFeeds[aIndex][5] +"</p>";
	responseCont += "<a href='#' onclick='openBrowser2(\""+aIndex+"\");' class='conteudoRead'>Read more ...</a>";
	$('.favCont').html(responseCont);
	$("#conteudoFeeds").hide();
	$(".timelineDia").hide();
	$(".dia").hide();
	$(".load").hide();
	
}



function openBrowser(aIndex){
	var url=aIndex;
	widget.openURL(url);
}

function openBrowser2(aIndex){
	var url=arrayFeeds[aIndex][6];
	widget.openURL(url);
}
/**
	addFavorite
	@description add favorite for offline usage
*/

function addFavorite(title, iD) {
	$(".load").show();	
	$('#'+iD).toggleClass("favActive");	
	var len = arrayFeeds.length;
	if(checkForDuplicateFavorite(title)) {
		for(var i=0; i < len; i++) {
			if(arrayFeeds[i][0] == title) {
				myFavorites.push(new Favorites(arrayFeeds[i][0]));
			}
		}
	}
	saveFavorites();
	setTimeout("$('.load').hide();", 200);
}  
